@import url('https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');

*{
    font-family: 'Ubuntu', sans-serif;
}
:root{
    --primary-color: #A37535;
    --gray-color: #6b7280;
    --gray-light: #f3f4f6;
}

/* Scroll personalizado */
::-webkit-scrollbar{
    width: 0;
}

/* Plugin Select 2 */
.select2-container .select2-selection--single{
    height: 50px !important;
}
.select2-container--default .select2-selection--single .select2-selection__rendered{
    line-height: 50px !important;
}
.select2-selection{
    border: none !important;
    background-color: #f3f4f6 !important;
}
.select2-container--default .select2-selection--single .select2-selection__arrow{
    height: 50px !important;
}
.select2-dropdown{
    background-color: #f3f4f6 !important;
    border: none !important;
    padding: 10px !important;
}
.select2-search__field{
    border: none !important;
    border-radius: 3px !important;
    padding: 10px !important;
    margin-bottom: 20px !important;
    background-color: rgb(255 255 255) !important;
}
.select2-search--dropdown{
    padding: 0px !important;
}

.menu{
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    background-color: var(--primary-color);
    z-index: 9999;
}

.menu ul{
    display: grid;
    align-items: center;
    grid-template-columns: repeat(3, 1fr);
    list-style: none;
}

.menu ul li{
    text-align: center;
}

.menu ul li a{
    display: block;
    font-size: 12px;
    color: white;
    padding: 10px;
}
.menu img{
    width: 20px;
}

.menu img.main{
    width: 40px;
}

.back{
    position: absolute;
    top: 20px;
    left: 20px;
    background-color: white;
}

.back img{
    width: 30px;
}

.main-container{
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
}

.container{
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 60px;
    padding-bottom: 80px;
}

.container__title{
    font-size: 30px;
    font-weight: 700;
    margin: 20px 0;
}

.container-center{
    width: 100%;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 80px;
}

.content-flex-column{
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.content-flex-column a.btn{
    background-color: var(--primary-color);
    color: white;
    padding: 15px 30px;
    border-radius: 100px;
    width: 100%;
    text-align: center;
    text-transform: uppercase;
    letter-spacing: 3px;
    font-weight: 500;
}

.product{
    display: block;
    background-color: #f3f4f6;
    padding: 15px;
    border-radius: 10px;
    filter: drop-shadow(0 20px 13px rgb(0 0 0 / 0.03)) drop-shadow(0 8px 5px rgb(0 0 0 / 0.08));
    margin-bottom: 20px;
}

.product h4{
    color: var(--primary-color);
}

.product p{
    color: #6b7280;
}

.platillo{
    display: block;
    background-color: #f3f4f6;
    padding: 15px;
    border-radius: 10px;
    filter: drop-shadow(0 20px 13px rgb(0 0 0 / 0.03)) drop-shadow(0 8px 5px rgb(0 0 0 / 0.08));
    margin-bottom: 20px;
}

.platillo h4{
    color: var(--primary-color);
}

.platillo p{
    color: #6b7280;
}

.form{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    margin-top: 10px;
}

.form .form__input select{
    padding: 10px;
    background-color: #f3f4f6;
    border-radius: 5px;
    outline: none;
    border: none;
    width: 100%;
    margin-top: 10px;
}

.form .form__input input{
    padding: 10px;
    background-color: #f3f4f6;
    border-radius: 5px;
    outline: none;
    border: none;
    width: 100%;
    margin-top: 10px;
}

.form .form__input button{
    padding: 10px;
    background-color: var(--primary-color);
    color: white;
    text-transform: uppercase;
    margin-top: 30px;
    border-radius: 5px;
    outline: none;
    border: none;
    width: 100%;
}

.form .form__input label{
    color: var(--primary-color);
    font-weight: 900;
    text-transform: uppercase;
}

#infoPlatillo{
    margin-top: 40px;
}

.name-product{
    font-weight: 700;
    text-transform: uppercase;
}

.cantProduct{
    color: #6b7280;
    font-size: 12px;
}

.lastInfo{
    margin-bottom: 20px;
}

.loading{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: black;
    z-index: 99999;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    display: none;
}

.loading h5{
    color: white;
}

.loader {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    position: relative;
    animation: rotate 1s linear infinite
  }
  .loader::before , .loader::after {
    content: "";
    box-sizing: border-box;
    position: absolute;
    inset: 0px;
    border-radius: 50%;
    border: 5px solid #FFF;
    animation: prixClipFix 2s linear infinite ;
  }
  .loader::after{
    inset: 8px;
    transform: rotate3d(90, 90, 0, 180deg );
    border-color: #FF3D00;
  }

  @keyframes rotate {
    0%   {transform: rotate(0deg)}
    100%   {transform: rotate(360deg)}
  }

  @keyframes prixClipFix {
      0%   {clip-path:polygon(50% 50%,0 0,0 0,0 0,0 0,0 0)}
      50%  {clip-path:polygon(50% 50%,0 0,100% 0,100% 0,100% 0,100% 0)}
      75%, 100%  {clip-path:polygon(50% 50%,0 0,100% 0,100% 100%,100% 100%,100% 100%)}
  }

  .kitchens{
    padding: 20px;
  }

  .kitchens h1{
    margin-bottom: 20px;
  }

  .kitchens a{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
    color: var(--gray-color);
    font-weight: 600;
    background-color: var(--gray-light);
    border-radius: 10px;
  }

  .kitchens img{
    width: 20px;
  }